## ros-rolling-ros2bag 0.13.0

=== debian/changelog ===
ros-rolling-ros2bag (0.13.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-ros2bag (0.12.0-1focal) focal; urgency=high

  * TopicFilter use regex_search instead of regex_match (#932 <https://github.com/ros2/rosbag2/issues/932>)
  * Add start-offset play option (#931 <https://github.com/ros2/rosbag2/issues/931>)
  * Expose bag_rewrite as ros2 bag convert (#921 <https://github.com/ros2/rosbag2/issues/921>)
  * Add "ignore leaf topics" option to recorder (#925 <https://github.com/ros2/rosbag2/issues/925>)
  * Auto-detect storage_id for Reader (if possible) (#918 <https://github.com/ros2/rosbag2/issues/918>)
  * Add pause/resume options to the bag recorder (#905 <https://github.com/ros2/rosbag2/issues/905>)
  * Contributors: Abrar Rahman Protyasha, Emerson Knapp, Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-ros2bag (0.11.0-1focal) focal; urgency=high

  * Add --start-paused option to ros2 bag play (#904 <https://github.com/ros2/rosbag2/issues/904>)
  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Fix converter plugin choices for record (#897 <https://github.com/ros2/rosbag2/issues/897>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-ros2bag (0.10.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-ros2bag (0.10.0-1focal) focal; urgency=high

  * Add missing spaces to error message (#875 <https://github.com/ros2/rosbag2/issues/875>)
  * keyboard controls for pause/resume toggle and play-next: (#847 <https://github.com/ros2/rosbag2/issues/847>)
  * Add --snapshot-mode argument to the "record" verb (#851 <https://github.com/ros2/rosbag2/issues/851>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * Update PlayOptions::delay to rclcpp::Duration to get nanosecond resolution (#843 <https://github.com/ros2/rosbag2/issues/843>)
  * Load compression and serialization choices via plugin query (#827 <https://github.com/ros2/rosbag2/issues/827>)
  * Add delay option (#789 <https://github.com/ros2/rosbag2/issues/789>)
  * Avoid passing exception KeyboardInterrupt to the upper layer (#788 <https://github.com/ros2/rosbag2/issues/788>)
  * Contributors: Barry Xu, Cameron Miller, Emerson Knapp, Jacob Perron, Kosuke Takeuchi, Sonia Jin

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-ros2bag (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-rolling-ros2bag (0.8.0-1focal) focal; urgency=high

  * /clock publisher in Player (#695 <https://github.com/ros2/rosbag2/issues/695>)
  * Introducing Reindexer CLI (#699 <https://github.com/ros2/rosbag2/issues/699>)
  * rosbag2_py pybind wrapper for "record" - remove rosbag2_transport_py (#702 <https://github.com/ros2/rosbag2/issues/702>)
  * Add rosbag2_py::Player::play to replace rosbag2_transport_python version (#693 <https://github.com/ros2/rosbag2/issues/693>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp, jhdcs

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-ros2bag (0.7.0-1focal) focal; urgency=high

  * use rosbag2_py for ros2 bag info (#673 <https://github.com/ros2/rosbag2/issues/673>)
  * CLI query rosbag2_py for available storage implementations (#659 <https://github.com/ros2/rosbag2/issues/659>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-ros2bag (0.6.0-1focal) focal; urgency=high

  * Recorder --regex and --exclude options (#604 <https://github.com/ros2/rosbag2/issues/604>)
  * Fix the tests on cyclonedds by translating qos duration values (#606 <https://github.com/ros2/rosbag2/issues/606>)
  * SQLite storage optimized by default (#568 <https://github.com/ros2/rosbag2/issues/568>)
  * Fix a bug on parsing wrong description in plugin xml file (#578 <https://github.com/ros2/rosbag2/issues/578>)
  * Compress bag files in separate threads (#506 <https://github.com/ros2/rosbag2/issues/506>)
  * Contributors: Adam Dąbrowski, Barry Xu, Emerson Knapp, P. J. Reed

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-rolling-ros2bag (0.5.0-1focal) focal; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
    * Double buffers
    * Circular queue and FLUSH option as define
    * Minor naming and lexical fixes.
    * Removed FLUSH_BUFFERS define check.
    * Sqlite3 storage logging fixes.
    * Sqlite3 storage circular buffer with pre allocated memory.
    * Sqlite3 storage buffers moved to shared_ptrs.
    * Uncrustify
    * Moved double buffers to writer
    * Buffer layer reset in seq compression writer in rosbag2 cpp
    * Buffer layer for rosbag2 writer refactor
    * Changed buffers in BufferLayer to std vectors.
    * BufferLayer uncrustify
    * Removed non-applicable test for writer cache.
    * BufferLayer review fixes
    * Rosbag metadata msgs count fixed for BufferLayer
    * Condition variable for buffer layer sync.
    * Fixed buffer locks
    * Buffers in BufferLayer refactored, moved into new class
    * Buffer layer split bags fixed.
    * Storage options include fix in buffer layer header.
    * Mutex around swapping buffers in buffer layer.
    * Fixed cache 0 bug in buffer layer.
    * Minor buffer layer refactor.
    * Counting messages in writer refactored.
    * Changed default cache size to 100Mb and updated parameter description
    * Applied review remarks:

