=== debian/control ===
Source: ros-rolling-ros2bag
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-launch-testing, ros-rolling-launch-testing-ros, ros-rolling-ros2cli, ros-rolling-rosbag2-py, ros-rolling-rosbag2-transport, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros2bag
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-ros2cli, ros-rolling-rosbag2-py, ros-rolling-rosbag2-transport, ros-rolling-ros-workspace
Description: Entry point for rosbag in ROS 2
