## ros-rolling-ros2bag 0.24.0

=== debian/changelog ===
ros-rolling-ros2bag (0.24.0-1jammy) jammy; urgency=high

  * When using sim time, wait for /clock before beginning recording (#1378 <https://github.com/ros2/rosbag2/issues/1378>)
  * Revert "Don't record sim-time messages before first /clock (#1354 <https://github.com/ros2/rosbag2/issues/1354>)" (#1377 <https://github.com/ros2/rosbag2/issues/1377>)
  * Don't record sim-time messages before first /clock (#1354 <https://github.com/ros2/rosbag2/issues/1354>)
  * Fix wrong descritpion for '--ignore-leaf-topics' (#1344 <https://github.com/ros2/rosbag2/issues/1344>)
  * Cleanup the help text for ros2 bag record. (#1329 <https://github.com/ros2/rosbag2/issues/1329>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ros2bag (0.23.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-ros2bag (0.22.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-ros2bag (0.21.0-1jammy) jammy; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#1260 <https://github.com/ros2/rosbag2/issues/1260>)
  * Contributors: Yadu

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-ros2bag (0.20.0-1jammy) jammy; urgency=high

  * CLI: Get storage-specific values from plugin (#1209 <https://github.com/ros2/rosbag2/issues/1209>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ros2bag (0.19.0-1jammy) jammy; urgency=high

  * Fix up some of the wording in the record help text. (#1228 <https://github.com/ros2/rosbag2/issues/1228>)
  * Add topic_name option to info verb (#1217 <https://github.com/ros2/rosbag2/issues/1217>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * rosbag2_py: parametrize tests across storage plugins (#1203 <https://github.com/ros2/rosbag2/issues/1203>)
  * Added option to change node name for the recorder from the Python API (#1180 <https://github.com/ros2/rosbag2/issues/1180>)
  * rosbag2_cpp: test more than one storage plugin (#1196 <https://github.com/ros2/rosbag2/issues/1196>)
  * Contributors: Chris Lalancette, Keisuke Shima, Michael Orlov, james-rms, ricardo-manriquez

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-ros2bag (0.18.0-1jammy) jammy; urgency=high

  * rosbag2_storage: expose default storage ID as method (#1146 <https://github.com/ros2/rosbag2/issues/1146>)
  * Fix for ros2 bag play exit with non-zero code on SIGINT (#1126 <https://github.com/ros2/rosbag2/issues/1126>)
  * ros2bag: move storage preset validation to sqlite3 plugin (#1135 <https://github.com/ros2/rosbag2/issues/1135>)
  * Add option to prevent message loss while converting (#1058 <https://github.com/ros2/rosbag2/issues/1058>)
  * Added support for excluding topics via regular expressions (#1046 <https://github.com/ros2/rosbag2/issues/1046>)
  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>)
  * Add short -v option to ros2 bag list for verbose (#1065 <https://github.com/ros2/rosbag2/issues/1065>)
  * Contributors: DensoADAS, Emerson Knapp, Esteve Fernandez, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-ros2bag (0.17.0-1jammy) jammy; urgency=high

  * Use a single variable for evaluating the filter regex (#1053 <https://github.com/ros2/rosbag2/issues/1053>)
  * Add additional mode of publishing sim time updates triggered by replayed messages (#1050 <https://github.com/ros2/rosbag2/issues/1050>)
  * Renamed --topics-regex to --regex and -e in Player class to be consistent with Recorder (#1045 <https://github.com/ros2/rosbag2/issues/1045>)
  * Use first available writer in recording if default sqlite3 not available. (#1044 <https://github.com/ros2/rosbag2/issues/1044>)
  * Add the ability to record any key/value pair in 'custom' field in metadata.yaml (#1038 <https://github.com/ros2/rosbag2/issues/1038>)
  * Added support for filtering topics via regular expressions on Playback (#1034 <https://github.com/ros2/rosbag2/issues/1034>)
  * Fix incorrect boundary check for playback_duration and play_until_timestamp (#1032 <https://github.com/ros2/rosbag2/issues/1032>)
  * Adds play until timestamp functionality (#1005 <https://github.com/ros2/rosbag2/issues/1005>)
  * Add CLI verb for burst mode of playback (#980 <https://github.com/ros2/rosbag2/issues/980>)
  * Add play-for specified number of seconds functionality (#960 <https://github.com/ros2/rosbag2/issues/960>)
  * Contributors: Agustin Alba Chicar, EsipovPA, Esteve Fernandez, Geoffrey Biggs, Hunter L.Allen, Michael Orlov, kylemarcey, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-rolling-ros2bag (0.16.0-1jammy) jammy; urgency=high

  * Make unpublished topics unrecorded by default (#968 <https://github.com/ros2/rosbag2/issues/968>)
  * Contributors: Michael Orlov, Sean Kelly

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-rolling-ros2bag (0.15.1-1jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Barry Xu, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000


